Skip to main content
`Ctrl`+`K`

# unwrap_wcs_to_fitswcs

ndcube.wcs.tools.unwrap_wcs_to_fitswcs(wcs)

  Create FITS-WCS equivalent to (nested) WCS wrapper object.

  Underlying WCS must be FITS-WCS. No axes are dropped from original FITS-WCS, even if sliced by an integer. Instead, integer-sliced axes is sliced to length-1 and marked True in the `dropped_data_axes` output. Currently supported wrapper classes include `astropy.wcs.wcsapi.SlicedLowLevelWCS` and `ndcube.wcs.wrappers.ResampledLowLevelWCS`.

  Parameters:

    wcs (`BaseWCSWrapper`) – The WCS Wrapper object. Base level WCS implementation must be FITS-WCS.

  Returns:

    - fitswcs (`astropy.wcs.WCS`) – The equivalent FITS-WCS object.

    - dropped_data_axes (1-D `numpy.ndarray`) – Denotes which axes must have been dropped from the data array by slicing wrappers. Axes are in array/numpy order, reversed compared to WCS.